﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.DataVisualization.Charting;
using SimpleChart.Model;

namespace SimpleChart.View
{
    public partial class Chart : System.Web.UI.Page
    {
        Data ExampleData = new Data();

        protected void Page_Load(object sender, EventArgs e)
        {
            // Populate drop down
            string[] chartTypes = Enum.GetNames(typeof(SeriesChartType));
            foreach (var item in chartTypes)
            {
                DropDownListChartType.Items.Add(item);
            }

            // Create new data series and set it's visual attributes
            Series series = new Series("Basic Points Chart");
            SetChartType(series);
            series.BorderWidth = 3;
            series.ShadowOffset = 2;

            // Populate new series with data
            foreach (var value in ExampleData.Values)
            {
                series.Points.AddY(value);
            }

            // Add series into the chart's series collection
            Chart1.Series.Add(series);
        }

        private void SetChartType(Series inSeries)
        {
            inSeries.ChartType = (SeriesChartType)System.Enum.Parse(typeof(SeriesChartType), DropDownListChartType.SelectedValue.ToString());
        }
    }
}